Get Stickers for Assembly Orders with Delivery to Pickup Point
http
POST /api/marketplace/v3/dbs/orders/stickersBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗
Method is available by Personal token, Service token, Base token with secret
The method returns stickers for the assembly orders with delivery to pickup points in the statuses:
confirm— on assemblydeliver— in delivery You can get stickers only with 580x400 px size in PDF format.
Request limit per one seller account for DBS assembly orders methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
type | query | string | yes | Sticker format |
width | query | integer<int64> | yes | Sticker width |
height | query | integer<int64> | yes | Sticker height |
Request body
application/json — schema object, optional
ordersinteger<int64>[](required) — Assembly order IDs list
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV3DbsOrdersStickersResponse200 |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
stickersobject[]— StickersorderIdinteger<int64>— Assembly order IDpartAstring— The first part of the sticker IDpartBstring— The second part of the sticker IDbarcodestring— The encoded value of the stickerfilestring— Base64 encoded representation of the sticker
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.post_v3_dbs_orders_stickers(type=..., width=..., height=..., post_v3_dbs_orders_stickers_request=...)
print(result)ts
import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.postV3DbsOrdersStickers(type, width, height, postV3DbsOrdersStickersRequest);
console.log(data);go
import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.PostV3DbsOrdersStickers(context.Background()).Width(width).Height(height).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.postV3DbsOrdersStickers(type, width, height, postV3DbsOrdersStickersRequest));php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->postV3DbsOrdersStickers($type, $width, $height));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.PostV3DbsOrdersStickers(type, width, height, Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.PostV3DbsOrdersStickers(type, width, height));rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::post_v3_dbs_orders_stickers(&cfg, r#type, width, height, post_v3_dbs_orders_stickers_request).await;
println!("{:#?}", result);
}